Name:           greenisland
Summary:        Compositor and shell for the Hawaii desktop environment
Version:        0.2.0.1
Release:        1%{?dist}
Group:          Applications/System
License:        BSD and LGPLv2+ and GPLv3+
URL:            https://github.com/hawaii-desktop/greenisland
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Requires:       hawaii-icon-theme
Requires:       qt5-qtbase-x11
Requires:       qt5-qtdeclarative
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Compositor)
BuildRequires:  pkgconfig(polkit-qt-1)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  cmake
BuildRequires:  python
BuildRequires:  bzip2-devel
BuildRequires:  qt5-qtaccountsservice-devel

%description
Wayland compositor and shell library for the Hawaii desktop environment.


%package devel
Summary:        Devel files for Greenisland
Group:          Development/System
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for GreenIsland.


%prep
%setup -q


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%{_libdir}/libGreenIsland.so.*
%{_libdir}/hawaii
%doc AUTHORS
%doc LICENSE.LGPL
%doc README.md


%files devel
%{_includedir}/GreenIsland
%{_libdir}/cmake/GreenIsland
%{_libdir}/libGreenIsland.so


%changelog
* Sat Jan 04 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.2.0.1-1
- Update to a new release tarball

* Mon Nov 25 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-2
- Fix file ownership
- Modernize a bit

* Sat Nov 23 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.91-1
- Initial packaging
